Bug 19534 - sendmail should be built with TLS and AUTH
sendmail should be built with TLS and AUTH
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Florian La Roche
Dale Lovelace
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-10-21 22:15 EDT by Need Real Name
Modified: 2007-03-26 23:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-07 06:38:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-21 22:15:49 EDT
My suggestion:  In future Redhat releases (or even in an interim update),
it would
be good to build sendmail with support for Transport Layer Security
and Authentication (AUTH).

It's nice that Redhat 7.0 is up to sendmail 8.11.0, but it would be even
nicer if
it was built with sendmail's new support turned on for TLS and
Authentication.  It would significantly enhance email security and privacy
those features were available by default in Redhat systems.

Comment 1 Need Real Name 2000-10-22 10:14:25 EDT
Hmm.  Upon further study, I see that sendmail _is_ built for AUTH (although not
for TLS).
It would still be nice if sendmail was by default built for STARTTLS, though.

I didn't see AUTH in the reply to EHLO because there was no file /etc/sasldb.
Once I created that file (using saslpasswd) AUTH was presented in the EHLO
capability response.
Comment 2 Florian La Roche 2001-02-07 06:38:06 EST
The current rpm should be ok. Requiring saslpasswd should also be ok.
Please open a new bugreport is anything is still missing.

Note You need to log in before you can comment on or make changes to this bug.